<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin_fw.php';
require_once 'lib/utils.php';

require 'iptvportal_plugin.php';


function throw_api_error () {
    throw new DuneException ('API returned error', 0,
        ActionFactory::show_error (true, ' ', array (
            ' IPTV  .',
            '  . .'
        ))
    );
}

function throw_server_unavailable_error () {
    throw new DuneException ('API is unavailable', 0,
        ActionFactory::show_error (true, ' ', array (
            ' IPTV .',
            '  . .'
        ))
    );
}

function throw_ares_error () {
    throw new DuneException ('Internal IPTVPORTAL error', 0,
        ActionFactory::show_error (true, ' ', array (
            '  ARES-.',
            '  . .'
        ))
    );
}

function throw_plugin_error ($error_message) {
    throw new DuneException ("Internal IPTVPORTAL PHP plugin error: $error_message", 0,
        ActionFactory::show_error (true, ' ', array (
            '  .',
            '  . .'
        ))
    );
}


DefaultDunePluginFw::$plugin_class_name = 'IptvportalPlugin';


///////////////////////////////////////////////////////////////////////////
?>
